from pydantic import BaseModel, Field
from typing import List, Optional, Literal
from ..common.validators import DateStr

class OffShoreWindExtension(BaseModel):
    """
   完整的抽蓄项⽬模型，继承了所有通⽤字段和特定字段
   """
    syxs: Optional[str] = Field(None, description="升压站型式")

    group_filing_form_id: Optional[str] = Field(None, examples=["集团备案表文件id"])
    partial_production_filing_form_id: Optional[str] = Field(None, examples=["部分投产备案表文件id"])
    all_production_filing_form_id: Optional[str] = Field(None, examples=["全部投产备案表文件id"])
    ic_plan_first_production_date: Optional[DateStr] = Field(None, description="区域公司计划首批投产日期",
                                                             examples=["2024-08-01"])
    ic_plan_full_production_date: Optional[DateStr] = Field(None, description="区域公司计划全投日期",
                                                            examples=["2024-09-01"])
